# Summary

[Introduction](./introduction/introduction.md)

---

# Overview

- [xDapps](./dapps/0_xdappOverview.md)

  - [Ecosystem Basics](./dapps/1_defiBasics.md)
  - [Blockchain Interoperability](./dapps/2_crossChainInteroperability.md)
  - [xData & xAssets](./dapps/3_xdataxassets.md)
  - [What is an xDapp?](./dapps/4_whatIsanXdapp.md)
  - [Advantages of xDapps](./dapps/5_advantages.md)

- [Wormhole](./wormhole/0_wormholeOverview.md)

  - [What is Wormhole?](./wormhole/1_whatIsWormhole.md)
  - [Architecture Overview](./wormhole/2_architectureOverview.md)
  - [Core Layer Contracts](./wormhole/3_coreLayerContracts.md)
  - [VAA: Verified Action Approval](./wormhole/4_vaa.md)
  - [Guardian Network](./wormhole/5_guardianNetwork.md)
  - [Relayers](./wormhole/6_relayers.md)
  - [xAsset Bridge](./wormhole/7_xAssetBridge.md)
  - [Wormchain](./wormhole/8_wormchain.md)

- [xDapp Design](./dapps/architecture/0_dappDesign.md)

  - [Key Considerations](./dapps/architecture/1_keyConsiderations.md)
  - [Ecosystems](./dapps/architecture/2_ecosystems.md)
  - [Protocol Design](./dapps/architecture/3_protocolDesign.md)
  - [Topology](./dapps/architecture/4_topology.md)
  - [Relayers](./dapps/architecture/5_relayers.md)

---

# Developing xDapps

- [Environment Setup](./technical/env/environments.md)

  - [Tilt (Devnet)](./technical/env/tilt.md)
    - [Troubleshooting](./technical/env/troubleshooting.md)
  - [Wormhole Local Validator](./technical/env/wlv.md)
  - [Testnet](./technical/env/testnet.md)
  - [Tooling](./technical/env/tooling.md)

- [Contract Development](./technical/overview.md)

  - [EVM](./technical/evm/overview.md)
    - [Core Layer](./technical/evm/coreLayer.md)
    - [Token Bridge Module](./technical/evm/tokenLayer.md)
    - [NFT Bridge Module](./technical/evm/nftLayer.md)
    - [Relayer Module](./technical/evm/relayer.md)
    - [Best Practices](./technical/evm/bestPractices.md)
  - [Solana](./technical/solana/overview.md)
  - [Cosmos](./technical/cosmos/overview.md)
  - [Algorand](./technical/algorand/overview.md)
  - [Near](./technical/near/overview.md)
  - [Aptos](./technical/aptos/overview.md)

- [Relayers](./technical/relayer/overview.md)

  - [Generic Relayers](./technical/relayer/genericRelayer.md)
  - [Specialized Relayers](./technical/relayer/specializedRelayers.md)

- [Wormhole Typescript SDK](./technical/typescript/overview.md)
  - [Token Registration](./technical/typescript/attestingToken.md)
  - [Token Transfer Basics](./technical/typescript/tokenTransfer.md)
  - [Cross-Ecosystem Transfer](./technical/typescript/cross-ecosystem-transfer.md)
  - [Using Relayers](./technical/typescript/using-relayer.md)

---

# Reference

- [Other Resources](./reference/overview.md)
  - [Glossary](./reference/glossary.md)
  - [Useful Links](./reference/usefulLinks.md)
  - [Deployed Contracts](./reference/contracts.md)
  - [RPC Nodes](./reference/rpcnodes.md)
