# Tooling

Regardless of the development environment that you use, there are a few wormhole-specific tools you should know about.

### [Wormhole Core Repository](https://github.com/wormhole-foundation/wormhole/tree/dev.v2/)

- Most developers find it useful to clone the Wormhole Core repository. This repository provides the Devnet Tilt environment, plenty of useful code examples and tests, along with some utilities which do not have an official release package.

### [Worm CLI tool](https://github.com/wormhole-foundation/wormhole/tree/dev.v2/clients/js)

- Swiss-Army Knife Utility CLI tool. Excellent for creating one-off VAAs, parsing VAAs, reading Wormhole contract configurations, and more.

### [Orchestrator](https://github.com/wormhole-foundation/xdapp-book/blob/main/projects/evm-messenger/orchestrator.js)

- Small WIP tool which comes as part of the [Wormhole Local Validator](./wlv.md) environment. Used to quickly deploy and redeploy multiple smart contracts. Will eventually become part of a larger deployment management tool.

### [Wormhole SDKs](https://github.com/wormhole-foundation/wormhole/tree/dev.v2/sdk)

- Libraries in various languages to help with interacting with Wormhole contracts.

### [Wormhole Typescript SDK](https://www.npmjs.com/package/@certusone/wormhole-sdk)

- Typescript SDK destributed on npm. Can greatly aid in writing frontend code for xDapps and utilizing the Wormhole Token Bridge directly.

### [Wormhole Spy SDK](https://github.com/wormhole-foundation/wormhole/tree/dev.v2/spydk/js)

- The Wormhole Spy SDK allows you to listen to all of the activity on the Guardian Network.

### [Reference Bridge UI](https://github.com/wormhole-foundation/example-token-bridge-ui)

- An example GUI which can be used to perform token transfers around the ecosystem.

### [Explorer](https://wormhole.com/explorer/)

- Resource for looking at individual transfers statuses on mainnet and testnet.
<!--
how to use on tilt?
-->

<!--
Example projects
-->

## Example Projects

### [Basic Examples](https://github.com/wormhole-foundation/xdapp-book/tree/main/projects)

- Several example projects are bundled here. They show minimum-code examples for how to send messages, tokens, and other common functions.

### [ICCO](https://github.com/certusone/wormhole-icco)

- Productionized, audited xDapp which does cross-chain token launches. Great example of what a robust xDapp, written across multiple ecosystems looks like.

### [Native Swap](https://github.com/certusone/wormhole-nativeswap-example)

- Example cross-chain dex, utilizing the stablecoin highway model.

### [Wormhole Examples](https://github.com/certusone/wormhole-examples)

- More example components. Has a mix of relayers, xDapps, NFT projects, and more.
